<?php

$url = 'tools.php?p=xemb';

require_once "XEmb_Config.class.php";
require_once "XEmb_Cache.class.php";

$message = "";

// traitement des options
if (isset($_GET["cache"]))
{
  if ($_GET["cache"] == "no")
    {
      XEmb_Config::SetOption("cache", false);
      $message = "Le cache a t dsactiv";
    }
  else
    {
      XEmb_Config::SetOption("cache", true);      
      $message = "Le cache a t activ";
    }
}
if (isset($_GET["meta_default"]))
{
  if ($_GET["meta_default"] == "no")
    {
      XEmb_Config::SetOption("meta_default", false);
      $message = "Les meta ne sont plus ajouts par dfaut";
    }
  else
    {
      XEmb_Config::SetOption("meta_default", true);
      $message = "Les meta sont maintenant ajouts par dfaut";
    }
}
if (isset($_GET["cache_clean"]))
{
  // on vide le cache
  $cache =& XEmb_Cache::Instance();
  $cache->clean();
  $message = "Le cache a t vid";
}

buffer::str('<h1>XEmb (XML Embedded) - v'.XEmb_Config::GetAppVersion().'</h1>');

buffer::str("<h2>Etat de l'installation</h2>");
buffer::str('<ul>');

// detection du module php4-xslt
$img_check = '<img src="images/check_%s.png" alt="" />';
if (function_exists('xslt_create')) {
	buffer::str(
	'<li>'.sprintf($img_check,'on').' '.
	__('<strong><code>php4-xslt</code></strong> module is installed.').
	'</li>'
	);
} else {
	buffer::str(
	'<li>'.sprintf($img_check,'off').' '.
	__('<strong><code>php4-xslt</code></strong> module is not installed.').
	'</li>'
	);
}

if (is_writable(dirname(__FILE__).'/../../../cache')) {
	buffer::str(
	'<li>'.sprintf($img_check,'on').' '.
	sprintf(__('Directory %s is writable.'),'<strong><code>cache/</code></strong>').
	'</li>'
	);
} else {
	buffer::str(
	'<li>'.sprintf($img_check,'off').' '.
	sprintf(__('Directory %s is not writable.'),'<strong><code>cache/</code></strong>').
	'</li>'
	);
}

if (XEmb_Config::ConfigIsWritable()) {
	buffer::str(
	'<li>'.sprintf($img_check,'on').' '.
	sprintf(__('Config file %s, is writable.'), '<strong><code>conf/xemb.ini</code></strong>').
	'</li>'
	);
} else {
	buffer::str(
	'<li>'.sprintf($img_check,'off').' '.
	sprintf(__('Config file %s, is not writable.'), '<strong><code>conf/xemb.ini</code></strong>').
	'</li>'
	);
}

buffer::str("</ul>");

buffer::str("<h2>Options</h2>");
buffer::str("<ul>");
if(XEmb_Config::GetOption("cache"))
  buffer::str("<li>".sprintf($img_check,'on')." Le cache est activ <code>[ <a href=\"".$url."&cache=no\">le dsactiver</a> (dconseill) ]</code></li>");
else
  buffer::str("<li>".sprintf($img_check,'off')." Le cache est dsactiv <code>[ <a href=\"".$url."&cache=yes\">l'activer</a> (conseill) ]</code></li>");
if(XEmb_Config::GetOption("meta_default"))
  buffer::str("<li>".sprintf($img_check,'on')." L'ajout des meta (feuilles de style des pages externes) est activ par dfaut <code>[ <a href=\"".$url."&meta_default=no\">dsactiver</a> ]</code></li>");
else
  buffer::str("<li>".sprintf($img_check,'off')." L'ajout des meta (feuilles de style des pages externes) est dsactiv par dfaut <code>[ <a href=\"".$url."&meta_default=yes\">activer</a> ]</code></li>");
buffer::str("<li><a href=\"".$url."&cache_clean=yes\">Vider Le cache</a></code></li>");
buffer::str("</ul>");
if ($message) buffer::str("<p style=\"color:red;\">".$message."</p>");

buffer::str(
"<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#xemb_objectifs\">Objectifs</a></h2>

<p>XEmb (XML Embedded) permet d'inclure un document XHTML externe (rfrenc
par son url) dans un billet.</p>

<p>(Voir le <a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear\">billet explicatif</a> pour une explication dtaille.)</a></p>");

buffer::str("
<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#xemb_installation\">Installation</a></h2>

<p>Installer le module <code>php4-xslt</code> (trouvez l'quivalent si vous
utilisez php5) sur votre serveur dotclear. En effet, XEmb utilise des
feuilles de style XSL pour extraire le contenu des documents et pour
transformer les URLs des images et des liens.</p>

<p>Dotclear ne proposant pas de mcanismes pour surcharger ses mthodes
d'affichage, l'installation se rsume  prfixer dans le thme les appels 
certaines fonction par <code>XEmb::</code>.</p>

<p>ditez <code>template.php</code> :</p>
<ul>
  <li>Insrez <code>XEmb::dcPostMeta();</code> juste aprs
    <code>dcPostTrackbackAutoDiscovery();</code></li>
  <li>Remplacez tous les <code>dcPostTitle</code> par
    <code>XEmb::dcPostTitle</code></li>
  <li>Remplacez tous les <code>dcSinglePostTitle</code> par
    <code>XEmb::dcSinglePostTitle</code><code></code> ( partir de la version
    1.1)</li>
</ul>

<p>ditez <code>post.php</code> :</p>
<ul>
  <li>Remplacez tous les <code>dcPostTitle</code>par
    <code>XEmb::dcPostTitle</code></li>
  <li>Remplacez tous les <code>dcPostChapo</code> par
    <code>XEmb::dcPostChapo</code></li>
  <li>Remplacez tous les <code>dcPostContent</code> par
    <code>XEmb::dcPostContent</code></li>
</ul>

<p>ditez <code>list.php</code> :</p>
<ul>
  <li>Remplacez tous les <code>dcPostTitle</code> par
    <code>XEmb::dcPostTitle</code></li>
  <li>Remplacez tous les <code>dcPostAbstract</code> par
    <code>XEmb::dcPostAbstract</code></li>
</ul>

<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#xemb_utilisation\">Utilisation</a></h2>

<p>Maintenant vous devez crer un document XHTML avec votre diteur favoris
et le stocker sur le serveur Web de votre choix. Attention, le code XHTML
gnr doit tre valide ! Je vous conseil d'utiliser l'diteur Amaya qui vous
assure de crer des documents XHTML valides.</p>

<p>Crez ensuite un billet, donnez lui un chapo (le titre n'a pas beaucoup
d'importance, il est utile seulement pour la gnration de l'url absolue du
billet), et mettez ceci dans le corps du billet (cette chane de caractre
sera automatiquement dtecte par XEmb et remplace par votre document XHTML)
:</p>

<p><code>{XEmb
url=\"http://kerphi.zeitoun.net/articles/xemb_un_plugin_pour_dotclear/index.html\"}</code></p>

<p>(adaptez l'url  votre cas).</p>

<p>Vous pouvez maintenant visualiser le rsultat sur la partie publique de
votre site (XEmb ne fonctionne pas encore dans la partie administration)</p>

<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#xemb_utilisation_avancee\">Utilisation avance</a></h2>

<p>Vous pouvez facilement surcharger le style du thme dotclear pour chaque
billet. Pour cela rajoutez une feuille de style dans votre document XHTML et
ajoutez l'option <code>meta=\"yes\"</code> dans le corps du billet de cette
faon :</p>

<p><code>{XEmb
url=\"http://kerphi.zeitoun.net/articles/xemb_un_plugin_pour_dotclear/index.html\"
meta=\"yes\"}</code></p>

<p>XEmb va alors automatiquement inclure  la suite de la feuille de style de
dotclear la votre. Vous pouvez ainsi personnaliser le style de chacun de vos
articles!</p>

<p>Conseil : prfixer toutes vos rgles de style par la classe
<code>.xemb</code>, car sinon vous risquez d'altrer le style de la page
entire (les menus, le header ...). Pour cela associez  votre document XHTML
des rgles CSS de cette forme : <code>.xemb h2 { background-color: red;
}</code> et donnez la classe <code>xemb</code>  votre <code>body</code>.</p>

<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#xemb_download\">Une nouvelle version ?</a></h2>
<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#xemb_changelog\">Historique des changements</a></h2>
<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#xemb_todo\">A faire</a></h2>
<h2><a href=\"http://www.zeitoun.net/index.php?2005/04/14/28-xemb-un-plugin-pour-dotclear#comments\">Des questions ?</a></h2>

");


?>